telegram-send(1)

NAME
telegram-send - send messages and files over Telegram from the command-line

SYNOPSIS
telegram-send [-h] [--format {text,markdown,html}] [--stdin] [--pre] [--disable-web-page-preview] [--silent] [-c] [--configure-channel] [--configure-group] [-f FILE [FILE ...]] [-i IMAGE [IMAGE ...]] [-s STICKER [STICKER ...]] [--animation ANIMATION [ANIMATION ...]] [--video VIDEO [VIDEO ...]] [--audio AUDIO [AUDIO ...]] [-l LOCATION [LOCATION ...]] [--caption CAPTION [CAPTION ...]] [--showids] [-d id [id ...]] [--config CONF] [-g] [--file-manager] [--clean] [--timeout TIMEOUT] [--version] [message ...]

DESCRIPTION
Send messages and files over Telegram.

OPTIONS

message
    message(s) to send

--format {text,markdown,html}
    How to format the message(s). Choose from 'text', 'markdown', or 'html'

--stdin
    Send text from stdin.

--pre
    Send preformatted fixed-width (monospace) text.

--disable-web-page-preview
    disable link previews in the message(s)

--silent
    send silently, user will receive a notification without sound

-c, --configure
    configure telegram-send

--configure-channel
    configure telegram-send for a channel

--configure-group
    configure telegram-send for a group

-f FILE [FILE ...], --file FILE [FILE ...]
    send file(s)

-i IMAGE [IMAGE ...], --image IMAGE [IMAGE ...]
    send image(s)

-s STICKER [STICKER ...], --sticker STICKER [STICKER ...]
    send stickers(s)

--animation ANIMATION [ANIMATION ...]
    send animation(s) (GIF or soundless H.264/MPEG-4 AVC video)

--video VIDEO [VIDEO ...]
    send video(s)

--audio AUDIO [AUDIO ...]
    send audio(s)

-l LOCATION [LOCATION ...], --location LOCATION [LOCATION ...]
    send location(s) via latitude and longitude (separated by whitespace or a
    comma)

--caption CAPTION [CAPTION ...]
    caption for image(s)

--showids
    show message ids, used to delete messages after they're sent

-d id [id ...], --delete id [id ...]
    delete sent messages by id (only last 48h), see --showids

--config CONF
    specify configuration file

-g, --global-config
    Use the global configuration at /etc/telegram-send.conf

--file-manager
    Integrate telegram-send in the file manager

--clean
    Clean telegram-send configuration files.

--timeout TIMEOUT
    Set the read timeout for network operations. (in seconds)

--version
    show program's version number and exit

AUTHORS
telegram-send was written by Rahiel Kasim <rahielkasim@gmail.com>.

DISTRIBUTION
The latest version of telegram-send may be downloaded from https://github.com/rahiel/telegram-send